<template>
  <div class="ourheader">
    <el-row style="height:100%">
      <el-col :span=12 style="height:100%;">
        <el-row :span=12 style="height:100%;width:100%" type="flex" align="middle">
          <el-image
            class="logo"
            :src="url"
            fit="fill"
            @click="backHome"></el-image>
          <div class="name">
            Xuanke-Pro
          </div>
        </el-row>
      </el-col>

      <el-col :span=12 style="height:100%;">
        <el-row :span=12 style="height:100%;width:100%" type="flex" align="middle" justify="end">
          <el-avatar :src="avatar_url"></el-avatar>

          <el-dropdown>
            <span class="el-dropdown-link">
              &nbsp {{ username }} <i class="el-icon-arrow-down el-icon--right"></i> &nbsp
            </span>
            <el-dropdown-menu slot="dropdown">
              <el-dropdown-item @click.native="homepage">个人主页</el-dropdown-item>
              <el-dropdown-item @click.native="logout">退出</el-dropdown-item>
            </el-dropdown-menu>
          </el-dropdown>

        </el-row>
      </el-col>

    </el-row>
  </div>
</template>

<script>
export default {
  data() {
    return {
      url: require('@/assets/icon_logo.png'),
      avatar_url: this.$store.getters.getAvatar,
      username: 'dino',
    };
  },
  methods: {
    homepage() {
      this.$router.push('/account');
    },
    backHome() {
      this.$router.push('/search');
    },
    logout() {
      this.$store.commit('clearToken');
      this.$router.push('/');
    }
  },
  created() {
    this.username = this.$store.getters.getUsername;
    this.avatar_url = this.$store.getters.getAvatar;
  },
};
</script>

<style scoped>

.ourheader {
  width: 100%;
  height: 64px;
  position: relative;
  background-color: #edf1f5;
  font-family: "Helvetica Neue",Helvetica,"PingFang SC","Hiragino Sans GB","Microsoft YaHei","微软雅黑",Arial,sans-serif;
}

.title {
  height: 100%;
  display: table;
  padding: 0 2%;
}

.logo {
  width: 178px;
  height: 40px;
  margin-left: 2%;
}

.name {
  text-align: left;
  font-size: 25px;
  font-weight: 700;
  color: black;
}

.username {
  font-size: 20px;
  margin-left: 1%;
  margin-right: 2%;
  color: #3a7fe8;
}

.el-dropdown-link {
  cursor: pointer;
  color: #409EFF;
  font-size: 20px;
}


</style>